Bug 987457 - Review Request: rubygem-fast_xs - Provides C extensions for escaping text
Review Request: rubygem-fast_xs - Provides C extensions for escaping text
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Josef Stribny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 08:21 EDT by Miroslav Suchý
Modified: 2016-01-04 00:51 EST (History)
3 users (show)

See Also:
Fixed In Version: rubygem-fast_xs-0.8.0-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-19 17:29:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jstribny: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2013-07-23 08:21:41 EDT
Spec URL: http://miroslav.suchy.cz/fedora/rubygem-fast_xs/rubygem-fast_xs.spec
SRPM URL: http://miroslav.suchy.cz/fedora/rubygem-fast_xs/rubygem-fast_xs-0.8.0-2.fc19.src.rpm
Description:
fast_xs provides C extensions for escaping text.
The original String#fast_xs method is based on the xchar code by Sam Ruby:
* http://intertwingly.net/stories/2005/09/28/xchar.rb
* http://intertwingly.net/blog/2005/09/28/XML-Cleansing
_why also packages an older version with Hpricot (patches submitted).
The version here should be compatible with the latest version of Hpricot
code.
Ruby on Rails will automatically use String#fast_xs from either Hpricot
or this gem version with the bundled Builder package.
String#fast_xs is an almost exact translation of Sam Ruby's original
implementation (String#to_xs), but it does escape """ (which is an
optional, but all parsers are able ot handle it.  XML::Builder as
packaged in Rails 2.0 will be automatically use String#fast_xs instead
of String#to_xs available.

Fedora Account System Username: msuchy
Comment 1 Josef Stribny 2013-08-07 06:27:50 EDT
I will take it for a review.
Comment 2 Josef Stribny 2013-08-07 06:58:21 EDT
Please fix:

* Escape macros in comments
  rubygem-fast_xs.spec:57: W: macro-in-comment %gem_dir

* Description of -doc package should end up with a dot and the description of the main package could a little more formatted (2 line breaks after a paragraph).

Otherwise the spec looks good, it builds, installs & works. Since the issues are minor and could be fixed before pushing I am APPROVING this package.
Comment 3 Miroslav Suchý 2013-08-07 07:30:56 EDT
New Package SCM Request
=======================
Package Name: rubygem-fast_xs
Short Description: Provides C extensions for escaping text
Owners: msuchy
Branches: f19
InitialCC:
Comment 4 Gwyn Ciesla 2013-08-07 08:12:50 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-08-07 08:28:41 EDT
rubygem-fast_xs-0.8.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-fast_xs-0.8.0-3.fc19
Comment 6 Fedora Update System 2013-08-07 19:06:02 EDT
rubygem-fast_xs-0.8.0-3.fc19 has been pushed to the Fedora 19 testing repository.
Comment 7 Fedora Update System 2013-08-19 17:29:07 EDT
rubygem-fast_xs-0.8.0-3.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.